package com.ekexiu.project.job;

import com.ekexiu.project.qxweb.monitor.MonitorDao;
import com.ekexiu.project.qxweb.monitor.MonitorDayLog;
import com.ekexiu.project.qxweb.monitor.MonitorLog;
import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.Bean;
import org.jfw.util.jdbc.JdbcUtil;
import org.jfw.util.jdbc.ResultSetExtractor;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * Created by TT on 2019/4/23.
 */
@Bean
public class MonitorDayLogTaskJobEntry implements Runnable {

    private String dateFormat = "yyyyMMddHHmmss";

    @Autowrie("dataSource")
    private DataSource dataSource;
    @Autowrie
    private MonitorDao monitorDao;

    public DataSource getDataSource() {
        return dataSource;
    }

    public void setDataSource(DataSource dataSource) {
        this.dataSource = dataSource;
    }

    public MonitorDao getMonitorDao() {
        return monitorDao;
    }

    public void setMonitorDao(MonitorDao monitorDao) {
        this.monitorDao = monitorDao;
    }

    @Override
    public void run() {
        try {
            Connection con = dataSource.getConnection();
            try {
                SimpleDateFormat df = new SimpleDateFormat(this.dateFormat);
                Date date = new Date();
                String bt = df.format(new Date(date.getTime() - 24 * 60 * 60 * 1000)) + "000000";
                String et = df.format(date) + "000000";
                List<String> macs = JdbcUtil.queryList(con, "SELECT MAC FROM ITEM_DATA WHERE CREATE_TIME >= " + bt + "AND CREATE_TIME <= " + et + " GROUP BY MAC", new ResultSetExtractor<String>() {

                    @Override
                    public String extractData(ResultSet resultSet) throws SQLException {
                        return resultSet.getString(1);
                    }
                });
                for (String mac : macs) {
                    List<MonitorLog> list = monitorDao.query(con, mac, bt, et);
                    MonitorDayLog monitorDayLog = new MonitorDayLog();
                    double etdata = JdbcUtil.queryDouble(con, "SELECT AVG(ENV_TEMPERATURE) FROM ITEM_DATA CREATE_TIME >= " + bt + " AND CREATE_TIME <= " + et + " AND MAC = " + mac + " AND ENV_TEMPERATURE >= -40 AND ENV_TEMPERATURE <= 80", -100.0, -100.0);
                    monitorDayLog.setEnvTemperature(etdata);
                }
                con.commit();
            } catch (Exception e) {
                try {
                    con.rollback();
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            } finally {
                try {
                    con.close();
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
