package com.ekexiu.project.qxweb.monitor;

import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.param.Alias;
import org.jfw.apt.orm.annotation.dao.param.GtEq;
import org.jfw.apt.orm.annotation.dao.param.LtEq;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2019/4/24.
 */
@DAO
public interface MonitorDao {
    @Insert
    int insert(Connection con, MonitorLog monitorLog) throws SQLException;

    @Insert
    int insert(Connection con,  MonitorDayLog monitorDayLog) throws SQLException;

    @Insert
    int insert(Connection con, MonitorMonthLog monitorMonthLog) throws SQLException;

    @SelectList
    @OrderBy("ORDER BY MAC,CREATE_TIME DESC")
    List<MonitorLog> query(Connection con, @GtEq @Alias("createTime")String bt, @LtEq @Alias("createTime") String et) throws SQLException;

    @SelectList
    @OrderBy("ORDER BY CREATE_TIME DESC")
    List<MonitorLog> query(Connection con, String site, @GtEq @Alias("createTime")String bt, @LtEq @Alias("createTime") String et) throws SQLException;

    @SelectList
    @OrderBy("ORDER BY DAY DESC")
    List<MonitorDayLog> queryDay(Connection con, String site, @GtEq @Alias("day")String bt, @LtEq @Alias("day") String et) throws SQLException;

    @SelectList
    @OrderBy("ORDER BY MONTH DESC")
    List<MonitorMonthLog> queryMonth(Connection con, String site, @GtEq @Alias("month")String bt, @LtEq @Alias("month") String et) throws SQLException;

}
