package com.ekexiu.project.qxweb.monitor;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2019/4/24.
 */
@Table(descp = "每月数据统计")
public class MonitorMonthLog {
    private String site;
    private String month;
    private double envTemperature;
    private double envTumidity;
    private double kpaTemperature;
    private double kpa;
    private double preciDay;
    private double preciInterval;
    private double radiation;
    private double ultraviolet;
    private double sunTime;
    private int co2;
    private int acm1;
    private int acm2;
    private int pm10;
    private int pm25;

    @Column(descp = "统计日期", value = DE.text_de)
    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    @Column(descp = "站点MAC",value = DE.text_de)
    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    @Column(descp = "环境温度 °",value = DE.double_de)
    public double getEnvTemperature() {
        return envTemperature;
    }

    public void setEnvTemperature(double envTemperature) {
        this.envTemperature = envTemperature;
    }
    @Column(descp = "环境湿度 %",value = DE.double_de)
    public double getEnvTumidity() {
        return envTumidity;
    }

    public void setEnvTumidity(double envTumidity) {
        this.envTumidity = envTumidity;
    }

    @Column(descp = "KPA温度 °",value = DE.double_de)
    public double getKpaTemperature() {
        return kpaTemperature;
    }

    public void setKpaTemperature(double kpaTemperature) {
        this.kpaTemperature = kpaTemperature;
    }

    @Column(descp = "大气压 KPA",value = DE.double_de)
    public double getKpa() {
        return kpa;
    }

    public void setKpa(double kpa) {
        this.kpa = kpa;
    }

    @Column(descp = "当天零点开始累计的降雨量 mm",value = DE.double_de)
    public double getPreciDay() {
        return preciDay;
    }

    public void setPreciDay(double preciDay) {
        this.preciDay = preciDay;
    }

    @Column(descp = "两次查询间隔的降雨量 mm",value = DE.double_de)
    public double getPreciInterval() {
        return preciInterval;
    }

    public void setPreciInterval(double preciInterval) {
        this.preciInterval = preciInterval;
    }

    @Column(descp = "辐射 w/m2",value = DE.double_de)
    public double getRadiation() {
        return radiation;
    }

    public void setRadiation(double radiation) {
        this.radiation = radiation;
    }

    @Column(descp = "紫外线 W/m2",value = DE.double_de)
    public double getUltraviolet() {
        return ultraviolet;
    }

    public void setUltraviolet(double ultraviolet) {
        this.ultraviolet = ultraviolet;
    }

    @Column(descp = "日照时间 小时H",value = DE.double_de)
    public double getSunTime() {
        return sunTime;
    }

    public void setSunTime(double sunTime) {
        this.sunTime = sunTime;
    }

    @Column(descp = "二氧化碳浓度 ppm",value = DE.int_de)
    public int getCo2() {
        return co2;
    }

    public void setCo2(int co2) {
        this.co2 = co2;
    }

    @Column(descp = "腐蚀电流1 nA",value = DE.int_de)
    public int getAcm1() {
        return acm1;
    }

    public void setAcm1(int acm1) {
        this.acm1 = acm1;
    }

    @Column(descp = "腐蚀电流2 nA",value = DE.int_de)
    public int getAcm2() {
        return acm2;
    }

    public void setAcm2(int acm2) {
        this.acm2 = acm2;
    }

    @Column(descp = "PM10  ug/m2",value = DE.int_de)
    public int getPm10() {
        return pm10;
    }

    public void setPm10(int pm10) {
        this.pm10 = pm10;
    }

    @Column(descp = "PM2.5 ug/m2",value = DE.int_de)
    public int getPm25() {
        return pm25;
    }

    public void setPm25(int pm25) {
        this.pm25 = pm25;
    }
}
