package com.ekexiu.project.qxweb.resource.dao;

import com.ekexiu.project.qxweb.resource.po.Site;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.Exclude;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.IncludeFixSet;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Like;
import org.jfw.apt.orm.annotation.dao.param.Set;
import org.jfw.apt.orm.annotation.dao.param.SqlColumn;
import org.jfw.apt.orm.annotation.dao.param.UnEquals;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2019/4/11.
 */
@DAO
public interface SiteDao {

    @Insert
    int insert(Connection con, Site site) throws SQLException;

    @Update
    @Exclude("active")
    int update(Connection con, Site site) throws SQLException;

    @SelectOne
    @Nullable
    Site query(Connection con, String id) throws SQLException;

    @UpdateWith
    @From(Site.class)
    @SetSentence("active = '0'")
    @IncludeFixSet("modifyTime")
    int logicDelete(Connection con, @Set String modifier, String id) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CODE")
    PageQueryResult<Site> pageQuery(Connection con, @Nullable Boolean active,@Nullable Boolean open, @Nullable @Like String name, @Nullable String code, int pageSize, int pageNo) throws SQLException;

    @SelectOne
    @Nullable
    Site queryByCode(Connection con, String code, @Nullable @UnEquals String id, @Nullable Boolean active) throws SQLException;

    @SelectOne
    @Nullable
    Site queryBySeq(Connection con, String seq, @Nullable @UnEquals String id, @Nullable Boolean active) throws SQLException;

    @SelectList
    @OrderBy("ORDER BY CODE ASC")
    List<Site> queryAll(Connection con,@Nullable Boolean open,@Nullable Boolean active) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY OPEN DESC, CODE ASC")
    PageQueryResult<Site> queryByUser(Connection con, @SqlColumn(handlerClass = StringHandler.class, value = "ID IN (SELECT SITE FROM USER_SITE WHERE UID = ?) OR OPEN = '1'") String id, @Nullable Boolean active,int pageSize,int pageNo) throws SQLException;

    @SelectList
    @OrderBy("ORDER BY CODE ASC")
    @Where("open = '0'")
    List<Site> queryByUser(Connection con, @Nullable Boolean active, @SqlColumn(handlerClass = StringHandler.class, value = "ID IN (SELECT SITE FROM USER_SITE WHERE UID = ?)") String id) throws SQLException;



}
