package com.ekexiu.project.qxweb.resource.service;

import com.ekexiu.project.qxweb.resource.dao.SiteDao;
import com.ekexiu.project.qxweb.resource.po.Site;
import com.ekexiu.project.qxweb.system.vo.SessionUser;
import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.web.annotation.LoginUser;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.util.PageQueryResult;
import org.jfw.util.StringUtil;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2019/4/11.
 */
@Path("/site")
public class SiteService {

	@Autowrie
	private SiteDao siteDao;

	public SiteDao getSiteDao() {
		return siteDao;
	}

	public void setSiteDao(SiteDao siteDao) {
		this.siteDao = siteDao;
	}

	@Path
	@Post
	public String insert(@JdbcConn(true)Connection con, @LoginUser SessionUser user, Site site)throws SQLException {
		String id = StringUtil.buildUUID();
		site.setId(id);
		site.setActive(true);
		site.setCreator(user.getId());
		site.setModifier(user.getId());
		siteDao.insert(con, site);
		return id;
	}

	@Path("/qo")
	@Get
	@LoginUser
	public Site query(@JdbcConn Connection con,String id)throws SQLException {
		return siteDao.query(con, id);
	}

	@Path("/update")
	@Post
	public void update(@JdbcConn(true)Connection con,@LoginUser SessionUser user,Site site)throws SQLException {
		site.setModifier(user.getId());
		siteDao.update(con, site);
	}

	@Path("/delete")
	@Get
	public void delete(@JdbcConn(true)Connection con,@LoginUser SessionUser user,String id)throws SQLException {
		siteDao.logicDelete(con, user.getId(), id);
	}


	@Get
	@Path("/checkSeq")
	public Site serverBySeq(@JdbcConn Connection con, String seq, @Nullable String id, @Nullable Boolean active)throws SQLException {
		return this.siteDao.queryBySeq(con, seq,id,active);
	}

	@Get
	@Path("/checkCode")
	public Site serverByCode(@JdbcConn Connection con,String code,@Nullable String id,@Nullable Boolean active)throws SQLException {
		return this.siteDao.queryByCode(con, code, id,active);
	}

	@Get
	@Path("/pq")
	public PageQueryResult<Site> pageQuery(@JdbcConn Connection con,@Nullable String code,@Nullable String name,@Nullable Boolean active,@Nullable Boolean open,int pageSize, int pageNo)throws SQLException {
		return this.siteDao.pageQuery(con, active,open, name == null ? null : "%" + name + "%", code, pageSize, pageNo);
	}

	@Path("/all")
	@Get
	public List<Site> queryAll(@JdbcConn Connection con,@Nullable Boolean open,@Nullable Boolean active)throws SQLException {
		return this.siteDao.queryAll(con, open,active);
	}

	@Path("/user")
	@Get
	public PageQueryResult<Site> queryByUser(@JdbcConn Connection con,String uid,@Nullable Boolean active,int pageSize,int pageNo)throws SQLException {
		return this.siteDao.queryByUser(con, uid, active, pageSize, pageNo);
	}

	@Path("/userSite")
	@Get
	public List<Site> queryUserSite(@JdbcConn Connection con,String uid,@Nullable Boolean active)throws SQLException {
		return this.siteDao.queryByUser(con, active, uid);
	}

}
