package com.ekexiu.project.qxweb.system.dao;

import com.ekexiu.project.qxweb.right.po.UserSite;
import com.ekexiu.project.qxweb.system.po.User;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.Exclude;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Like;
import org.jfw.apt.orm.annotation.dao.param.Set;
import org.jfw.apt.orm.annotation.dao.param.UnEquals;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2019/4/10.
 */
@DAO
public interface UserDao {

    @Insert
    int insert(Connection con, User user) throws SQLException;

    @Update
    @Exclude({"passwd", "active"})
    int update(Connection con, User user) throws SQLException;

    @UpdateWith
    @From(User.class)
    @SetSentence("active = '0'")
    int ban(Connection con, @Set String modifier, String id) throws SQLException;

    @Nullable
    @SelectOne
    User login(Connection con, String account, String passwd) throws SQLException;

    @Nullable
    @SelectOne
    User query(Connection con, String id) throws SQLException;

    @UpdateWith
    @From(User.class)
    int changePw(Connection con, @Set String passwd, String id) throws SQLException;

    @Nullable
    @SelectOne
    User queryByAccount(Connection con, String account, @Nullable @UnEquals String id) throws SQLException;

    @DeleteWith
    @From(UserSite.class)
    int delete(Connection con, String uid) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<User> pageQuery(Connection con, @Nullable Boolean active, @Nullable String account, @Nullable @Like String name, int pageSize,
                                    int pageNo) throws SQLException;

    @Insert
    @Batch
    int[] insert(Connection con, UserSite[] userSites) throws SQLException;

}
