CREATE TABLE USER_SITE (
  UID TEXT NOT NULL,
  SITE TEXT NOT NULL);
COMMENT ON TABLE USER_SITE IS '用户站点';
COMMENT ON COLUMN USER_SITE.UID IS '用户ID';
COMMENT ON COLUMN USER_SITE.SITE IS '站点ID';
CREATE TABLE SYS_DICT (
  CODE TEXT NOT NULL,
  BCODE TEXT,
  DICT_CODE TEXT NOT NULL,
  CAPTION TEXT NOT NULL,
  FULL_CAPTION TEXT,
  SHORT_CUT TEXT,
  REMARK TEXT,
  READONLY CHAR(1) NOT NULL,
  ACTIVE CHAR(1) NOT NULL);
ALTER TABLE SYS_DICT ADD PRIMARY KEY (DICT_CODE,CODE);
COMMENT ON TABLE SYS_DICT IS '数据字典表';
COMMENT ON COLUMN SYS_DICT.CODE IS '字典项编码';
COMMENT ON COLUMN SYS_DICT.BCODE IS '字典项编码(业务编码)';
COMMENT ON COLUMN SYS_DICT.DICT_CODE IS '字典编码';
COMMENT ON COLUMN SYS_DICT.CAPTION IS '字典项显示';
COMMENT ON COLUMN SYS_DICT.FULL_CAPTION IS '字典项显示(全)';
COMMENT ON COLUMN SYS_DICT.SHORT_CUT IS '助记码';
COMMENT ON COLUMN SYS_DICT.REMARK IS '备注';
COMMENT ON COLUMN SYS_DICT.READONLY IS '是否只读';
COMMENT ON COLUMN SYS_DICT.ACTIVE IS '是否有效';
CREATE TABLE SITE (
  ID CHAR(32) NOT NULL,
  NAME TEXT NOT NULL,
  CODE TEXT NOT NULL,
  SEQ TEXT NOT NULL,
  OPEN CHAR(1) NOT NULL,
  LOCATION TEXT NOT NULL,
  LNG TEXT NOT NULL,
  LAT TEXT NOT NULL,
  REMARK TEXT,
  ACTIVE CHAR(1) NOT NULL,
  CREATE_TIME CHAR(14) NOT NULL,
  MODIFY_TIME CHAR(14) NOT NULL,
  CREATOR CHAR(32) NOT NULL,
  MODIFIER CHAR(32) NOT NULL);
ALTER TABLE SITE ADD PRIMARY KEY (ID);
COMMENT ON TABLE SITE IS '站点表';
COMMENT ON COLUMN SITE.ID IS '站点ID';
COMMENT ON COLUMN SITE.NAME IS '站点名称';
COMMENT ON COLUMN SITE.CODE IS '站点编号';
COMMENT ON COLUMN SITE.SEQ IS '站点内部编号';
COMMENT ON COLUMN SITE.OPEN IS '站点状态 1:公开 0:未公开';
COMMENT ON COLUMN SITE.LOCATION IS '站点位置';
COMMENT ON COLUMN SITE.LNG IS '站点经度';
COMMENT ON COLUMN SITE.LAT IS '站点纬度';
COMMENT ON COLUMN SITE.REMARK IS '备注';
COMMENT ON COLUMN SITE.ACTIVE IS '是否可用 1:可用 0:不可用';
COMMENT ON COLUMN SITE.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
COMMENT ON COLUMN SITE.MODIFY_TIME IS '最后修改时间（YYYYMMDDHH24MISS）,初始值:20000101010101';
COMMENT ON COLUMN SITE.CREATOR IS '创建人ID';
COMMENT ON COLUMN SITE.MODIFIER IS '最后修改人ID';

CREATE TABLE LUSER (
  ID CHAR(32) NOT NULL,
  ACCOUNT TEXT NOT NULL,
  PASSWD TEXT NOT NULL,
  NAME TEXT NOT NULL,
  COMP TEXT,
  JOB TEXT,
  PHONE TEXT,
  EMAIL TEXT,
  REMARK TEXT,
  ACTIVE CHAR(1) NOT NULL,
  CREATE_TIME CHAR(14) NOT NULL,
  MODIFY_TIME CHAR(14) NOT NULL,
  CREATOR CHAR(32) NOT NULL,
  MODIFIER CHAR(32) NOT NULL);
ALTER TABLE LUSER ADD PRIMARY KEY (ID);
ALTER TABLE LUSER ADD UNIQUE (ACCOUNT);
COMMENT ON TABLE LUSER IS '用户表';
COMMENT ON COLUMN LUSER.ID IS '用户ID';
COMMENT ON COLUMN LUSER.ACCOUNT IS '用户帐号';
COMMENT ON COLUMN LUSER.PASSWD IS '密码(MD5)';
COMMENT ON COLUMN LUSER.NAME IS '用户姓名';
COMMENT ON COLUMN LUSER.COMP IS '所在机构';
COMMENT ON COLUMN LUSER.JOB IS '职位';
COMMENT ON COLUMN LUSER.PHONE IS '联系电话';
COMMENT ON COLUMN LUSER.EMAIL IS '联系邮箱';
COMMENT ON COLUMN LUSER.REMARK IS '备注';
COMMENT ON COLUMN LUSER.ACTIVE IS '是否可用';
COMMENT ON COLUMN LUSER.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
COMMENT ON COLUMN LUSER.MODIFY_TIME IS '最后修改时间（YYYYMMDDHH24MISS）,初始值:20000101010101';
COMMENT ON COLUMN LUSER.CREATOR IS '创建人ID';
COMMENT ON COLUMN LUSER.MODIFIER IS '最后修改人ID';